Product comparison · 2 network switches

NETGEAR GSS108E Gigabit Ethernet (10/100/1000) Black vs Zyxel XS1920-12 Managed L2

Add a product
  • 19specifications compared
  • 14differ
  • 5identical
  • 33known for one product only

Key differences

  • Basic switching RJ-45 Ethernet ports quantity
    • GSS108E Gigabit Ethernet (10/100/1000) Black:8
    • XS1920-12 Managed L2:10
  • 10G support
    • GSS108E Gigabit Ethernet (10/100/1000) Black:No
    • XS1920-12 Managed L2:Yes
  • MAC address table
    • GSS108E Gigabit Ethernet (10/100/1000) Black:8000 entries
    • XS1920-12 Managed L2:16000 entries
  • Switching capacity
    • GSS108E Gigabit Ethernet (10/100/1000) Black:16 Gbit/s
    • XS1920-12 Managed L2:240 Gbit/s
  • Rack mounting
    • GSS108E Gigabit Ethernet (10/100/1000) Black:No
    • XS1920-12 Managed L2:Yes
  • Mean time between failures (MTBF)
    • GSS108E Gigabit Ethernet (10/100/1000) Black:1031177 h
    • XS1920-12 Managed L2:839624.71 h
  • Power consumption (typical)
    • GSS108E Gigabit Ethernet (10/100/1000) Black:20.14 W
    • XS1920-12 Managed L2:95.6 W
  • Operating temperature (T-T)
    • GSS108E Gigabit Ethernet (10/100/1000) Black:0 - 40 °C
    • XS1920-12 Managed L2:0 - 50 °C

Side by side

Differences highlightedShow differences only (on)
Comparison of GSS108E, XS1920-12
52 specifications
Management featuresidentical
Switch typeKnown for oneUnknown — not stated by the sourceManaged
Switch layerKnown for oneUnknown — not stated by the sourceL2
Web-based managementKnown for oneUnknown — not stated by the sourceYes
MIB supportKnown for oneUnknown — not stated by the sourceRFC 1066, RFC 1213, RFC 1493, RFC 1643, RFC 1757, RFC 2011/2012/2013, RFC 2233, RFC 2358, RFC 2674, RFC 2819, RFC 4022, RFC 4113, RFC 4292, RFC 4293
Ports & interfaces2 differ
Basic switching RJ-45 Ethernet ports quantityDiffers810
Basic switching RJ-45 Ethernet ports typeDiffersGigabit Ethernet (10/100/1000)10G Ethernet (100/1000/10000)
SFP+ module slots quantityKnown for oneUnknown — not stated by the source2
USB 2.0 ports quantityKnown for one2Unknown — not stated by the source
Power connectorKnown for oneDC-in jackUnknown — not stated by the source
Network2 differ
Networking standardsDiffersIEEE 802.1Q, IEEE 802.1x, IEEE 802.3adIEEE 802.1ab, IEEE 802.1D, IEEE 802.1p, IEEE 802.1Q, IEEE 802.1s, IEEE 802.1w, IEEE 802.1x, IEEE 802.3ab, IEEE 802.3ad, IEEE 802.3ae, IEEE 802.3an, IEEE 802.3az, IEEE 802.3x, IEEE 802.3z
10G supportDiffersNoYes
Copper ethernet cabling technologyKnown for oneUnknown — not stated by the source1000BASE-T, 10GBASE-T
Number of VLANsKnown for one64Unknown — not stated by the source
Data transmission2 differ
MAC address tableDiffers8000 entries16000 entries
Switching capacityDiffers16 Gbit/s240 Gbit/s
ThroughputKnown for oneUnknown — not stated by the source178.6 Mpps
Securityidentical
MAC address filteringKnown for oneUnknown — not stated by the sourceYes
SSH/SSL supportKnown for oneUnknown — not stated by the sourceYes
Static port securityKnown for oneUnknown — not stated by the sourceNo
DHCP featuresKnown for oneDHCP clientUnknown — not stated by the source
IGMP snoopingKnown for oneYesUnknown — not stated by the source
Protocolsidentical
Management protocolsKnown for oneUnknown — not stated by the sourceSNMP v1, SNMP v2c, SNMP v3, RMON 1/2/3/9
Design1 differ
Rack mountingDiffersNoYes
Form factorKnown for oneUnknown — not stated by the source1U
SafetyKnown for oneUnknown — not stated by the sourceLVD, BSMI
Housing materialKnown for onePlasticUnknown — not stated by the source
LED indicatorsKnown for oneYesUnknown — not stated by the source
Performance1 differ
Mean time between failures (MTBF)Differs1031177 h839624.71 h
Power1 differ
AC input voltageKnown for oneUnknown — not stated by the source100 - 240 V
AC input frequencyKnown for oneUnknown — not stated by the source50 - 60 Hz
Power consumption (typical)Differs20.14 W95.6 W
Operational conditions1 differ
Operating temperature (T-T)Differs0 - 40 °C0 - 50 °C
Storage temperature (T-T)Known for oneUnknown — not stated by the source-40 - 70 °C
Operating relative humidity (H-H)Known for oneUnknown — not stated by the source10 - 90%
Storage relative humidity (H-H)Known for oneUnknown — not stated by the source10 - 95%
Heat dissipationKnown for oneUnknown — not stated by the source325.97 BTU/h
Weight & dimensions4 differ
WidthDiffers305 mm440 mm
DepthDiffers65 mm330 mm
HeightDiffers35 mm44.5 mm
WeightDiffers440 g4.21 kg
Packaging contentidentical
Cables includedKnown for oneUnknown — not stated by the sourceAC
Packaging dataidentical
Package widthKnown for oneUnknown — not stated by the source583 mm
Package depthKnown for oneUnknown — not stated by the source451 mm
Package heightKnown for oneUnknown — not stated by the source98 mm
Package weightKnown for oneUnknown — not stated by the source5.68 kg
Certificatesidentical
CertificationKnown for oneUnknown — not stated by the sourceEMC: FCC Part 15 (Class A), CE EMC (Class A), BSMI ENC RoHS: Level A
Multicast featuresidentical
Multicast supportKnown for oneYesUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More network switch comparisons

All network switch comparisons